Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ltk.ui.refactoring
Class UserInputWizardPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.ltk.ui.refactoring.RefactoringWizardPage
                  org.eclipse.ltk.ui.refactoring.UserInputWizardPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

public abstract class UserInputWizardPage
extends RefactoringWizardPage

An abstract wizard page that is to be used to implement user input pages presented inside a `refactoring wizard`. User input pages are shown at the beginning of a wizard. As soon as the last input page is left the refactoring's condition checking is performed. Depending on the outcome an error page or the preview page is shown.

Clients may extend this class.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.ltk.ui.refactoring.RefactoringWizardPage
`REFACTORING_SETTINGS`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`UserInputWizardPage(String name)` Creates a new user input page.

Method Summary
`boolean` | `canFlipToNextPage()`
`protected IWizardPage` | `computeSuccessorPage()` Triggers the refactoring's condition checking and returns either the error wizard page or a preview page, depending on the outcome of the precondition checking.
`IWizardPage` | `getNextPage()`
`boolean` | `isLastUserInputPage()` Returns `true` if this is the last user input page in the stack of input pages; `false` otherwise.
`protected boolean` | `performFinish()` Performs any actions appropriate in response to the user having pressed the Finish button, or refuse if finishing now is not permitted. This method is called by the refactoring wizard on the currently active refactoring wizard page.
`void` | `setPageComplete(RefactoringStatus status)` Sets the page's complete status depending on the given `ReactoringStatus`.
`void` | `setVisible(boolean visible)`

Methods inherited from class org.eclipse.ltk.ui.refactoring.RefactoringWizardPage
`getRefactoring, getRefactoringSettings, getRefactoringWizard, setWizard`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Constructor Detail

### UserInputWizardPage

    public UserInputWizardPage(String name)

  Creates a new user input page.

Parameters:
  `name` - the page's name.

Method Detail

### isLastUserInputPage

    public boolean isLastUserInputPage()

  Returns `true` if this is the last user input page in the stack of input pages; `false` otherwise. The last user input page is not necessarily the page after which the refactoring's precondition has to be triggered. For wizards implementing a dynamic work flow, this may happen for other pages as well.

  Returns:
    whether this is the last user input page or not.

### computeSuccessorPage

    protected final IWizardPage computeSuccessorPage()

  Triggers the refactoring's condition checking and returns either the error wizard page or a preview page, depending on the outcome of the precondition checking.

  Returns:
    either the error or the preview page, depending on the refactoring's precondition checking

### setPageComplete

    public void setPageComplete(RefactoringStatus status)

  Sets the page's complete status depending on the given `ReactoringStatus`.

  Parameters:
    `status` - the `RefactoringStatus`

### setVisible

    public void setVisible(boolean visible)

### getNextPage

    public IWizardPage getNextPage()

### canFlipToNextPage

    public boolean canFlipToNextPage()

### performFinish

    protected boolean performFinish()

  Performs any actions appropriate in response to the user having pressed the Finish button, or refuse if finishing now is not permitted. This method is called by the refactoring wizard on the currently active refactoring wizard page.

  Overrides:
    `performFinish` in class `RefactoringWizardPage`
  Returns:
    `true` to indicate the finish request was accepted, and `false` to indicate that the finish request was refused

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.